
QGIS Application - Bug report #17398

dbmanager reports python error while expand spatialite db to see the tables in QGIS 2.99  

Codeversion edcaf05bcb

2017-11-05 06:19 PM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25295

Description

In dbmanager, SpatiaLite, doubleclick on a sqlite database produce a python error and you can`t connect to database and tables

Browser connects database and tables correct.

Ein Fehler trat bei der Ausführung von Python-Code auf: 

RuntimeError: Cannot find any suitable spatialite module 

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_model.py", line 441, in rowCount

    self._refreshIndex(parent, True)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_model.py", line 490, in _refreshIndex

    if item.populate():

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_model.py", line 167, in populate

    if not connection.connect():

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\spatialite\plugin.py", line 80, in connect

    return self.connectToUri(uri)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\plugin.py", line 109, in connectToUri

    self.db = self.databasesFactory(self, uri)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\spatialite\plugin.py", line 66, in databasesFactory

    return SLDatabase(connection, uri)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\spatialite\plugin.py", line 109, in __init__

    Database.__init__(self, connection, uri)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\plugin.py", line 218, in __init__

    self.connector = self.connectorsFactory(uri)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\spatialite\plugin.py", line 112, in connectorsFactory

    return SpatiaLiteDBConnector(uri)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\spatialite\connector.py", line 51, in __init__

    self.connection = spatialite_connect(self._connectionInfo())

  File "C:/OSGEO4~1/apps/qgis-dev/./python\qgis\utils.py", line 618, in spatialite_connect

    raise RuntimeError("Cannot find any suitable spatialite module")

RuntimeError: Cannot find any suitable spatialite module

Python-Version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS-Version: 2.99.0-Master Master, edcaf05bcb 

Python-Pfad:

C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing

C:/OSGEO4~1/apps/qgis-dev/./python

C:/Users/Spieles/AppData/Roaming/QGIS/QGIS3\profiles\default/python
C:/Users/Spieles/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/OSGEO4~1/apps/qgis-dev/./python/plugins

C:\OSGeo4W64\bin\python36.zip

C:\OSGEO4~1\apps\Python36\DLLs

C:\OSGEO4~1\apps\Python36\lib

C:\OSGeo4W64\bin

C:\OSGEO4~1\apps\Python36

C:\OSGEO4~1\apps\Python36\lib\site-packages

C:/Users/Spieles/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/DNRAPPS/dateigenepsg25832/views

History

#1 - 2017-11-05 09:20 PM - Jürgen Fischer

- Description updated

#2 - 2017-11-05 09:22 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:24e636681

2024-04-09 2/2


